Bug 987449 - httpunit: jar contains non-free files
httpunit: jar contains non-free files
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: httpunit (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mikolaj Izdebski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 08:04 EDT by Michal Srb
Modified: 2013-09-18 08:32 EDT (History)
4 users (show)

See Also:
Fixed In Version: 1.7-13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-18 08:32:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (5.54 KB, patch)
2013-07-24 02:33 EDT, Michal Srb
no flags Details | Diff

  None (edit)
Description Michal Srb 2013-07-23 08:04:47 EDT
Description of problem:

tarball and JAR contain following files:

META-INF/web-app_2_2.dtd
META-INF/web-app_2_3.dtd

Quoting from their license:
"
...
This document and the product to which it pertains are distributed
under licenses restricting their use, copying, distribution, and
decompilation.  This document may be reproduced and distributed but may
not be changed without prior written authorization of Sun and its
licensors, if any.
...
"

IMO this makes the files non-free. I am not sure if content of these files is copyrightable or not, but I would recommend replacing them with basically same XML DTD files from Apache Tomcat project [1][2]. These files are clearly licensed under ASL 2.0.

[1]: https://github.com/apache/tomcat/blob/TOMCAT_7_0_42/java/javax/servlet/resources/web-app_2_2.dtd
[2]: https://github.com/apache/tomcat/blob/TOMCAT_7_0_42/java/javax/servlet/resources/web-app_2_3.dtd
Comment 1 Michal Srb 2013-07-24 02:33:44 EDT
Created attachment 777592 [details]
patch

Replace non-free XML DTD files
    
 - Drop group tag
 - Fix R/BR
Comment 2 Fedora End Of Life 2013-09-16 10:43:18 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Mikolaj Izdebski 2013-09-18 08:21:02 EDT
Fixed in httpunit-1.7-13
Comment 4 Mikolaj Izdebski 2013-09-18 08:32:38 EDT
I believe that this bug is fixed in httpunit-1.7-13,
which is available in Fedora Rawhide, so I am closing this bug now.

The build containing the fix can be found at Koji:
http://koji.fedoraproject.org/koji/buildinfo?buildID=465369

This bug was fixed in the next release of Fedora, and is not planned
to be fixed in the release it was filed against.  If you want this bug
to be fixed in Fedora 20, please say so in a comment.
Otherwise you can update to the newer release of Fedora to get the fix.

Note You need to log in before you can comment on or make changes to this bug.